/*
 * MATLAB Compiler: 4.18 (R2012b)
 * Date: Thu Aug 29 03:44:17 2013
 * Arguments: "-B" "macro_default" "-W" "java:ARMA,ARMA" "-T" "link:lib" "-d" 
 * "C:\\Users\\Administrator\\Desktop\\Oil Gas Data 2\\Least-Square\\JA\\ARMA\\src" "-w" 
 * "enable:specified_file_mismatch" "-w" "enable:repeated_file" "-w" 
 * "enable:switch_ignored" "-w" "enable:missing_lib_sentinel" "-w" "enable:demo_license" 
 * "-v" "class{ARMA:C:\\Users\\Administrator\\Desktop\\Oil Gas Data 
 * 2\\Least-Square\\JA\\compute.m}" 
 */

package ARMA;

import com.mathworks.toolbox.javabuilder.*;
import com.mathworks.toolbox.javabuilder.internal.*;

/**
 * <i>INTERNAL USE ONLY</i>
 */
public class ARMAMCRFactory
{
   
    
    /** Component's uuid */
    private static final String sComponentId = "ARMA_8CD538D99F63AB58A7C93FA5411B2DA7";
    
    /** Component name */
    private static final String sComponentName = "ARMA";
    
   
    /** Pointer to default component options */
    private static final MWComponentOptions sDefaultComponentOptions = 
        new MWComponentOptions(
            MWCtfExtractLocation.EXTRACT_TO_CACHE, 
            new MWCtfClassLoaderSource(ARMAMCRFactory.class)
        );
    
    
    private ARMAMCRFactory()
    {
        // Never called.
    }
    
    public static MWMCR newInstance(MWComponentOptions componentOptions) throws MWException
    {
        if (null == componentOptions.getCtfSource()) {
            componentOptions = new MWComponentOptions(componentOptions);
            componentOptions.setCtfSource(sDefaultComponentOptions.getCtfSource());
        }
        return MWMCR.newInstance(
            componentOptions, 
            ARMAMCRFactory.class, 
            sComponentName, 
            sComponentId,
            new int[]{8,0,0}
        );
    }
    
    public static MWMCR newInstance() throws MWException
    {
        return newInstance(sDefaultComponentOptions);
    }
}
